Subject: bare init and gitweb

From: Martin Röhricht <[email-masked]>
Date: Tue, 17 Jun 2008 19:43:37 +0200

Hi,

in order to use git for some projects via WebDAV I followed the 
instructions given in 
http://www.kernel.org/pub/software/scm/git/docs/howto/setup-git-server-over-http.txt

So what I basically did is to create a bare repository on the server:

-------------------------8<------------------------
$ mkdir ~/gitrepo.git
$ cd gitrepo.git
$ git --bare init
$ sudo chown -R www-data:www-data .
-------------------------8<------------------------

On the client's side I set up a (local) repository and push changes to 
the server:

-------------------------8<------------------------
$ mkdir git-test
$ cd git-test
$ git init
$ touch README
$ git add .
$ git commit -m "Initial commit"
$ git-config remote.upload.url http://user@server/gitrepo/
$ git push upload master
Fetching remote heads...
   refs/
   refs/heads/
   refs/tags/
updating 'refs/heads/master'
   from 0000000000000000000000000000000000000000
   to   a0bb58fcd20c31d5575dbd6bdab55c9b28970429
     sending 3 objects
     done
-------------------------8<------------------------

Whenever I clone the server's repository somewhere else, I get the 
README file as expected. But when I use gitweb to show me the contents 
of the repository, all I get is this:

-------------------------8<------------------------
projects /

403 Forbidden - No projects found
-------------------------8<------------------------

The projectroot variable within /etc/gitweb.conf points to my 
~/gitrepo.git, and whenever I use "git init", add and commit some files 
locally on the server I see the contents as expected by using gitweb, 
but never by using a repository created with "git --bare init".

Can someone help me out? I would really appreciate any help.

Martin